Bug 726552 (CVE-2011-2723) - CVE-2011-2723 kernel: gro: only reset frag0 when skb can be pulled
Summary: CVE-2011-2723 kernel: gro: only reset frag0 when skb can be pulled
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-2723
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 679682 726553 726554 726555 726556 734971 748676 761340
Blocks: 726551
TreeView+ depends on / blocked
 
Reported: 2011-07-29 01:26 UTC by Eugene Teo (Security Response)
Modified: 2019-09-29 12:46 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-10 08:15:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1321 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2011-09-20 17:50:47 UTC
Red Hat Product Errata RHSA-2011:1350 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2011-10-05 21:47:16 UTC
Red Hat Product Errata RHSA-2011:1386 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2011-10-20 17:28:15 UTC
Red Hat Product Errata RHSA-2011:1408 normal SHIPPED_LIVE Moderate: rhev-hypervisor security update 2011-10-26 15:32:36 UTC
Red Hat Product Errata RHSA-2012:0010 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2012-01-11 01:14:23 UTC

Description Eugene Teo (Security Response) 2011-07-29 01:26:39 UTC
Currently skb_gro_header_slow unconditionally resets frag0 and frag0_len.  However, when we can't pull on the skb this leaves the GRO fields in an inconsistent state.

This patch fixes this by only resetting those fields after the pskb_may_pull test.

Upstream commit:
http://git.kernel.org/linus/17dd759c67f21e34f2156abcf415e1f60605a188

Acknowledgements:
Red Hat would like to thank Brent Meshier for reporting this issue.

Comment 4 Eugene Teo (Security Response) 2011-07-29 01:40:47 UTC
Statement:

This issue did not affect the versions of Linux kernel as shipped with Red Hat Enterprise Linux 4 as it did not backport the upstream commit a5b1cf28 that introduced this issue. This has been addressed in Red Hat Enterprise Linux 5, 6, and Red Hat Enterprise MRG via https://rhn.redhat.com/errata/RHSA-2011-1386.html, https://rhn.redhat.com/errata/RHSA-2011-1350.html, and https://rhn.redhat.com/errata/RHSA-2012-0010.html.

Comment 7 Vincent Danen 2011-09-20 16:38:24 UTC
Acknowledgements:

Red Hat would like to thank Brent Meshier for reporting this issue.

Comment 8 Vincent Danen 2011-09-20 16:39:18 UTC
External References:

http://git.kernel.org/linus/17dd759c67f21e34f2156abcf415e1f60605a188

Comment 9 errata-xmlrpc 2011-09-20 17:50:53 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5.6.Z - Server Only

Via RHSA-2011:1321 https://rhn.redhat.com/errata/RHSA-2011-1321.html

Comment 10 errata-xmlrpc 2011-10-05 21:47:35 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1350 https://rhn.redhat.com/errata/RHSA-2011-1350.html

Comment 11 errata-xmlrpc 2011-10-20 17:28:32 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:1386 https://rhn.redhat.com/errata/RHSA-2011-1386.html

Comment 12 Eugene Teo (Security Response) 2011-10-25 03:51:03 UTC
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 748676]

Comment 13 errata-xmlrpc 2011-10-26 15:32:40 UTC
This issue has been addressed in following products:

  RHEV-H, V2V and Agents for RHEL-5

Via RHSA-2011:1408 https://rhn.redhat.com/errata/RHSA-2011-1408.html

Comment 15 errata-xmlrpc 2012-01-10 20:15:52 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2012:0010 https://rhn.redhat.com/errata/RHSA-2012-0010.html


Note You need to log in before you can comment on or make changes to this bug.